import { PreBarrage } from "jalhyd";

import { FormulaireElement } from "./formulaire-element";

/**
 * The interactive schema for calculator type "PreBarrage" (form element).
 *
 * This is just a gateway between the model (Prebarrage)
 * and the user interface (PbSchemaComponent)
 */
export class PbSchema extends FormulaireElement {

    public parseConfig(json: {}) {
        this._confId = json["id"];
    }

    /**
     * Returns the Prebarrage model associated to the parent form
     */
    public get pb(): PreBarrage {
        if (this.parentForm) {
            return this.parentForm.currentNub as PreBarrage;
        }
    }

    /** Asks PbSchemaComponent to redraw the schema */
    public refresh(nodeUidToSelect: string) {
        this.notifyObservers({
            action: "refresh",
            value: nodeUidToSelect
        }, this);
    }
}
